org.keycloak.broker.provider

## Class IdentityProviderMapperSyncModeDelegate

- java.lang.Object
- - org.keycloak.broker.provider.IdentityProviderMapperSyncModeDelegate

-     public final class IdentityProviderMapperSyncModeDelegate
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jboss.logging.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentityProviderMapperSyncModeDelegate()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IdentityProviderSyncMode` | `combineIdpAndMapperSyncMode(IdentityProviderSyncMode syncMode, IdentityProviderMapperSyncMode mapperSyncMode)`
    `static void` | `delegateUpdateBrokeredUser(KeycloakSession session, RealmModel realm, UserModel user, IdentityProviderMapperModel mapperModel, BrokeredIdentityContext context, IdentityProviderMapper mapper)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

  - ### Constructor Detail

    - #### IdentityProviderMapperSyncModeDelegate

          public IdentityProviderMapperSyncModeDelegate()

  - ### Method Detail

    - #### delegateUpdateBrokeredUser

          public static void delegateUpdateBrokeredUser(KeycloakSession session,
                                                        RealmModel realm,
                                                        UserModel user,
                                                        IdentityProviderMapperModel mapperModel,
                                                        BrokeredIdentityContext context,
                                                        IdentityProviderMapper mapper)

    - #### combineIdpAndMapperSyncMode

          public static IdentityProviderSyncMode combineIdpAndMapperSyncMode(IdentityProviderSyncMode syncMode,
                                                                             IdentityProviderMapperSyncMode mapperSyncMode)

Copyright © 2020 JBoss by Red Hat. All rights reserved.